## org.apache.batik.dom
Class AbstractDocument.DocumentConfiguration

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentConfiguration

All Implemented Interfaces:
  org.w3c.dom.DOMConfiguration

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.DocumentConfiguration

extends java.lang.Object
implements org.w3c.dom.DOMConfiguration

DOMConfiguration for this document.

Nested Class Summary
`protected class` `AbstractDocument.DocumentConfiguration.ParameterNameList` Class to expose the parameter names.

Field Summary
`protected java.util.Map` `booleanParamIndexes` Map of parameter names to array indexes.
`protected java.lang.String[]` `booleanParamNames` The boolean parameter names.
`protected boolean[]` `booleanParamReadOnly` The read-onlyness of the boolean parameters.
`protected boolean[]` `booleanParamValues` The boolean parameter values.
`protected java.lang.Object` `errorHandler` Value of the 'error-handler' parameter.
`protected AbstractDocument.DocumentConfiguration.ParameterNameList` `paramNameList` The DOMStringList object containing the parameter names.

Constructor Summary
`protected` `AbstractDocument.DocumentConfiguration()`

Method Summary
`boolean` `canSetParameter(java.lang.String name, java.lang.Object value)` Returns whether the given parameter can be set to the given value.
`boolean` `getBooleanParameter(java.lang.String name)` Gets the boolean value of the given parameter.
`java.lang.Object` `getParameter(java.lang.String name)` Gets the value of the given parameter.
`org.w3c.dom.DOMStringList` `getParameterNames()` Returns a DOMStringList of parameter names.
`void` `setParameter(java.lang.String name, java.lang.Object value)` Sets the given parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### booleanParamNames

    protected java.lang.String[] booleanParamNames

  The boolean parameter names.

### booleanParamValues

    protected boolean[] booleanParamValues

  The boolean parameter values.

### booleanParamReadOnly

    protected boolean[] booleanParamReadOnly

  The read-onlyness of the boolean parameters.

### booleanParamIndexes

    protected java.util.Map booleanParamIndexes

  Map of parameter names to array indexes.

### errorHandler

    protected java.lang.Object errorHandler

  Value of the 'error-handler' parameter.

### paramNameList

    protected AbstractDocument.DocumentConfiguration.ParameterNameList paramNameList

  The DOMStringList object containing the parameter names.

Constructor Detail

### AbstractDocument.DocumentConfiguration

    protected AbstractDocument.DocumentConfiguration()

Method Detail

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object value)

  Sets the given parameter.

  Specified by:
    `setParameter` in interface `org.w3c.dom.DOMConfiguration`

### getParameter

    public java.lang.Object getParameter(java.lang.String name)

  Gets the value of the given parameter.

  Specified by:
    `getParameter` in interface `org.w3c.dom.DOMConfiguration`

### getBooleanParameter

    public boolean getBooleanParameter(java.lang.String name)

  Gets the boolean value of the given parameter.

### canSetParameter

    public boolean canSetParameter(java.lang.String name,
                                   java.lang.Object value)

  Returns whether the given parameter can be set to the given value.

  Specified by:
    `canSetParameter` in interface `org.w3c.dom.DOMConfiguration`

### getParameterNames

    public org.w3c.dom.DOMStringList getParameterNames()

  Returns a DOMStringList of parameter names.

  Specified by:
    `getParameterNames` in interface `org.w3c.dom.DOMConfiguration`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.